<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelAllotment StructType
 * @subpackage Structs
 */
class HotelAllotment extends AbstractStructBase
{
    /**
     * The HotelAllotmentRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelAllotmentRQ
     */
    public $HotelAllotmentRQ;
    /**
     * Constructor method for HotelAllotment
     * @uses HotelAllotment::setHotelAllotmentRQ()
     * @param \StructType\JP_HotelAllotmentRQ $hotelAllotmentRQ
     */
    public function __construct(\StructType\JP_HotelAllotmentRQ $hotelAllotmentRQ = null)
    {
        $this
            ->setHotelAllotmentRQ($hotelAllotmentRQ);
    }
    /**
     * Get HotelAllotmentRQ value
     * @return \StructType\JP_HotelAllotmentRQ|null
     */
    public function getHotelAllotmentRQ()
    {
        return $this->HotelAllotmentRQ;
    }
    /**
     * Set HotelAllotmentRQ value
     * @param \StructType\JP_HotelAllotmentRQ $hotelAllotmentRQ
     * @return \StructType\HotelAllotment
     */
    public function setHotelAllotmentRQ(\StructType\JP_HotelAllotmentRQ $hotelAllotmentRQ = null)
    {
        $this->HotelAllotmentRQ = $hotelAllotmentRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\HotelAllotment
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
